This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 122590 - up2date reports bogus dependency problems
up2date reports bogus dependency problems
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks: 124619
  Show dependency treegraph
 
Reported: 2004-05-05 20:58 EDT by Bjorn Solberg
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 09:33:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Output from up2date --list (66.00 KB, text/plain)
2004-05-06 14:11 EDT, Bjorn Solberg
no flags Details

  None (edit)
Description Bjorn Solberg 2004-05-05 20:58:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7b)
Gecko/20040316

Description of problem:
# cat /etc/redhat-release 
Fedora Core release 1.90 (FC2 Test 1)

Running up2date gives me a dependency problem window:

---------------------
There was a package dependency problem.  The message was:

Unresolvable chain of dependencies:
XFree86-Xnest-4.3.0-55                   requires XFree86 = 4.3.0-55
XFree86-Xvfb-4.3.0-55                    requires XFree86 = 4.3.0-55
XFree86-devel-4.3.0-55                   requires XFree86-libs = 4.3.0-55
XFree86-tools  4.3.0-55                  requires XFree86
XFree86-twm  4.3.0-55                    requires XFree86
XFree86-twm-4.3.0-55                     requires XFree86-libs = 4.3.0-55
XFree86-xdm-4.3.0-55                     requires XFree86 = 4.3.0
balsa  2.0.17-1                          requires libgal-2.0.so.6
balsa  2.0.17-1                          requires libgal-a11y-2.0.so.6
balsa  2.0.17-1                          requires libgtkhtml-3.0.so.4

Please modify your package selections and try again.
----------------------

Unselecting balsa from up2date takes care of balsa, although it
shouldn't have been reported in the first place since this is a
"plain" install.

The XFree86 complaint I can't get rid of, as it doesn't show up as
(un-) selectable in up2date.  Also:

# rpm -q XFree86
XFree86-4.3.0-55

So the dependency is in fact bogus since XFree86 does have the correct
version.


Version-Release number of selected component (if applicable):
up2date-4.3.11-2.1.1

How reproducible:
Always

Steps to Reproduce:
1. Run up2date
2. optionally un-select balsa
3. See bogus dependency problem for XFree86 (I'd think the balsa
report is bogus also since it's untouched since the CDROM install and
as such the up2date should take care of that?)
    

Actual Results:  up2date won't update

Additional info:
Comment 1 Adrian Likins 2004-05-06 11:43:54 EDT
can you paste the output of `up2date --list`?
Comment 2 Bjorn Solberg 2004-05-06 13:17:51 EDT
Truncated, since I got "Comments cannot be longer than 65,535
characters." with everything.  Let me know if you want me to email you
the whole list.

# up2date --list
/usr/lib/python2.3/site-packages/libxml2.py:1: RuntimeWarning: Python
C API version mismatch for module libxml2mod: This Python has API
version 1012, module libxml2mod has version 1011.
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-rawhide
using mirror: http://mirrors.kernel.org/fedora/core/development/i386/
http://fedora.redhat.com/download/up2date-mirrors/updates-testing
using mirror:
http://distro.ibiblio.org/pub/linux/distributions/fedora/linux/core/updates/testing/1/i386/

Fetching Obsoletes list for channel: fedora-core-rawhide...

Fetching Obsoletes list for channel: fedore-core-2-test1-updates...

Fetching Obsoletes list for channel: updates-testing...

Fetching rpm headers...

Name                                    Version        Rel     
----------------------------------------------------------
4Suite                                  1.0            1.0.a3.1      
     i386  
ElectricFence                           2.2.2          17.1          
     i386  
GConf                                   1.0.9          13.1          
     i386  
GConf-devel                             1.0.9          13.1          
     i386  
GConf2                                  2.6.0          4             
     i386  
GConf2-devel                            2.6.0          4             
     i386  
Glide3                                  20010520       30            
     i386  
Glide3-devel                            20010520       30            
     i386  
Guppi                                   0.40.3         18            
     i386  
Guppi-devel                             0.40.3         18            
     i386  
ImageMagick                             5.5.7.15       1.3           
     i386  
MAKEDEV                                 3.3.13         1             
     i386  
Maelstrom                               3.0.6          3             
     i386  
MagicPoint                              1.10a          8             
     i386  
ORBit                                   0.5.17         11.4.1        
     i386  
ORBit-devel                             0.5.17         11.4.1        
     i386  
ORBit2                                  2.10.0         2             
     i386  
ORBit2-devel                            2.10.0         2             
     i386  
Omni                                    0.9.1          6             
     i386  
Omni-foomatic                           0.9.1          6             
     i386  
PyQt                                    3.11           1             
     i386  
PyQt-devel                              3.11           1             
     i386  
PyXML                                   0.8.3          4.1           
     i386  
SDL                                     1.2.7          3             
     i386  
SDL-devel                               1.2.7          3             
     i386  
SDL_image                               1.2.3          4.1           
     i386  
SDL_image-devel                         1.2.3          4.1           
     i386  
SDL_mixer                               1.2.5          2             
     i386  
SDL_mixer-devel                         1.2.5          2             
     i386  
SDL_net                                 1.2.5          1             
     i386  
SDL_net-devel                           1.2.5          1             
     i386  
SysVinit                                2.85           25            
     i386  
VFlib2                                  2.25.6         21            
     i386  
VFlib2-conf-ja                          2.25.6         21            
     i386  
Xaw3d                                   1.5            21.1          
     i386  
Xaw3d-devel                             1.5            21.1          
     i386  
a2ps                                    4.13b          37            
     i386  
acl                                     2.2.7          5             
     i386  
acpid                                   1.0.2          6             
     i386  
alchemist                               1.0.33         1             
     i386  
alsa-lib                                1.0.3a         2             
     i386  
anacron                                 2.3            30            
     i386  
apmd                                    3.0.2          22            
     i386  
apr                                     0.9.4          11            
     i386  
apr-util                                0.9.4          14            
     i386  
arts                                    1.2.2          2             
     i386  
arts-devel                              1.2.2          2             
     i386  
ash                                     0.3.8          18            
     i386  
aspell                                  0.50.3         19.1          
     i386  
aspell-en                               0.51           7.1           
     i386  
at                                      3.1.8          53            
     i386  
at-spi                                  1.4.0          1             
     i386  
atk                                     1.6.0          1             
     i386  
tk-devel                               1.6.0          1              
    i386  
attr                                    2.4.1          4             
     i386  
audiofile                               0.2.5          1.1           
     i386  
audiofile-devel                         0.2.5          1.1           
     i386  
aumix                                   2.8            8             
     i386  
authconfig                              4.6.2          1             
     i386  
authconfig-gtk                          4.6.2          1             
     i386  
autoconf                                2.59           3             
     noarch
autofs                                  4.1.2          2             
     i386  
automake                                1.8.3          1             
     noarch
automake14                              1.4p6          9             
     noarch
automake15                              1.5            10            
     noarch
automake16                              1.6.3          2             
     noarch
autorun                                 3.13           1             
     i386  
balsa                                   2.0.17         1             
     i386  
basesystem                              8.0            3             
     noarch
bash                                    2.05b          38            
     i386  
bc                                      1.06           16.1          
     i386  
beecrypt                                3.1.0          3             
     i386  
bind                                    9.2.3          13            
     i386  
bind-chroot                             9.2.3          13            
     i386  
bind-libs                               9.2.3          13            
     i386  
bind-utils                              9.2.3          13            
     i386  
binutils                                2.15.90.0.3    5             
     i386  
bison                                   1.875          7.1           
     i386  
bitmap-fonts                            0.3            3             
     noarch
bitstream-vera-fonts                    1.10           3             
     noarch
bonobo                                  1.0.22         8.1           
     i386  
bonobo-devel                            1.0.22         8.1           
     i386  
boost                                   1.31.0         6             
     i386  
boost-devel                             1.31.0         6             
     i386  
bug-buddy                               2.6.0          2             
     i386  
byacc                                   1.9            27            
     i386  
bzip2                                   1.0.2          12.1          
     i386  
bzip2-libs                              1.0.2          12.1          
     i386  
caching-nameserver                      7.2            12            
     noarch
cdda2wav                                2.01           0.a27.3       
     i386  
cdecl                                   2.5            29            
     i386  
cdlabelgen                              2.6.1          2             
     noarch
cdp                                     0.33           31            
     i386  
cdparanoia                              alpha9.8       20.1          
     i386  
cdparanoia-devel                        alpha9.8       20.1          
     i386  
cdparanoia-libs                         alpha9.8       20.1          
     i386  
cdrdao                                  1.1.8          3             
     i386  
cdrecord                                2.01           0.a27.3       
     i386  
chkconfig                               1.3.9          1.1           
     i386  
chkfontpath                             1.10.0         1             
     i386  
chromium                                0.9.12         25            
     i386  
ckermit                                 8.0.209        7             
     i386  
compat-db                               4.1.25         2.1           
     i386  
compat-gcc                              7.3            2.96.126      
     i386  
compat-gcc-c++                          7.3            2.96.126      
     i386  
compat-libstdc++                        7.3            2.96.126      
     i386  
compat-libstdc++-devel                  7.3            2.96.126      
     i386  
comps-extras                            9.92           1             
     noarch
control-center                          2.6.1          3             
     i386  
coreutils                               5.2.1          7             
     i386  
cpio                                    2.5            6             
     i386  
cpp                                     3.3.3          7             
     i386  
cracklib                                2.7            27.1          
     i386  
cracklib-dicts                          2.7            27.1          
     i386  
crontabs                                1.10           6             
     noarch
ctags                                   5.5.2          2             
     i386  
cups                                    1.1.20         6             
     i386  
cups-devel                              1.1.20         6             
     i386  
cups-libs                               1.1.20         6             
     i386  
curl                                    7.11.1         1             
     i386  
curl-devel                              7.11.1         1             
     i386  
cvs                                     1.11.15        2             
     i386  
cyrus-sasl                              2.1.18         2             
     i386  
cyrus-sasl-devel                        2.1.18         2             
     i386  
cyrus-sasl-md5                          2.1.18         2             
     i386  
cyrus-sasl-plain                        2.1.18         2             
     i386  
db4                                     4.2.52         3.1           
     i386  
db4-utils                               4.2.52         3.1           
     i386  
dbus                                    0.20           4.1           
     i386  
dbus-glib                               0.20           4.1           
     i386  
ddd                                     3.3.8          4             
     i386  
dejagnu                                 1.4.2          11            
     noarch
desktop-backgrounds-basic               2.0            19            
     noarch
desktop-backgrounds-extra               2.0            19            
     noarch
desktop-file-utils                      0.4            2             
     i386  
desktop-printing                        0.1.10         26            
     i386  
dev                                     3.3.13         1             
     i386  
device-mapper                           1.00.14        3             
     i386  
devlabel                                0.42.05        3.1           
     i386  
dhclient                                3.0.1rc12      4             
     i386  
dhcp                                    3.0.1rc12      4             
     i386  
dia                                     0.92.2         3.1           
     i386  
dialog                                  0.9b           20031207.2    
     i386  
diffstat                                1.31           4             
     i386  
diffutils                               2.8.1          11            
     i386  
dmalloc                                 4.8.1          13.1          
     i386  
docbook-dtds                            1.0            24            
     noarch
docbook-style-dsssl                     1.78           3             
     noarch
docbook-style-xsl                       1.65.1         1             
     noarch
docbook-utils                           0.6.14         2             
     noarch
docbook-utils-pdf                       0.6.14         2             
     noarch
dos2unix                                3.1            17            
     i386  
dosfstools                              2.8            12            
     i386  
dovecot                                 0.99.10.4      3             
     i386  
doxygen                                 1.3.6          2             
     i386  
dvd+rw-tools                            5.17.4.8.6     2             
     i386  
dvgrab                                  1.5            2             
     i386  
e2fsprogs                               1.35           7.1           
     i386  
e2fsprogs-devel                         1.35           7.1           
     i386  
[...]
Comment 3 Adrian Likins 2004-05-06 14:03:53 EDT
you can attach it as a file to this bug report, thats
probably the easiest thing (see "Create a new attachment" link)
Comment 4 Bjorn Solberg 2004-05-06 14:11:35 EDT
Created attachment 100049 [details]
Output from up2date --list
Comment 5 John Thacker 2006-10-29 09:33:59 EST
Note that FC1 and FC2 are no longer supported even by Fedora Legacy, and FC3 and
FC4 are supported by Fedora Legacy only for security issues.  Please retest this
bug against a still supported version and retest.  If this still occurs on FC3
or FC4 and is a security issue, please reopen the bug and assign it to that
version and Fedora Legacy.  If it occurs on RHEL, please change to that product
and the appropriate version.

Note that up2date has been replaced by pirut/pup for FC5 and FC6, the only
fully-supported versions of Fedora Core.  Please test pirut for software updates
and file bugs as appropriate.

Note You need to log in before you can comment on or make changes to this bug.